Why upgrade from V4 to V6?

    • Official Post

    Why upgrade?

    v4 and v5 are not supported.

    The Debian distro is EOL and you are not getting security updates.


    That is enough for me.

    omv 7.1.1-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.1.1-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Thank you for your answer. I am not trying to be a jerk, i just want to know if there is a reason to upgrade something that works,

    How does any of this really affect my ability to store and access data in a private network that does everything i need it to do? Is there some imminent threat or something that will stop working?

    Why would security updates be important in a private network?

    EOL? So? My hardware works, the software works... how does EOL change my system.


    These are legitimate questions, so please don't dismiss me as some troll... I'm not.

    • Official Post

    You store on the NAS data that comes from other computers that are in contact with the internet, I suppose. That directly affects the security of the NAS.

    • Official Post

    I am not trying to be a jerk, i just want to know if there is a reason to upgrade something that works,

    Do you update Windows?

    How does any of this really affect my ability to store and access data in a private network that does everything i need it to do?

    It doesn't. You should be able to use it as a file server as long as Windows supports the smb/cifs protocols that version of OMV is using.

    Is there some imminent threat or something that will stop working?

    Nope.

    Why would security updates be important in a private network?

    Because your Windows box that you browse the internet has a high chance of getting a virus/ransomware. And I have seen ransomware encrypt every file on a server because it was not patched and had a security vulnerability.

    EOL? So? My hardware works, the software works... how does EOL change my system.

    EOL means the people and devs on this forum want to concentrate on a specific supported version. You can use whatever version you want but I wouldn't expect support when/if you have a problem.

    These are legitimate questions, so please don't dismiss me as some troll... I'm not.

    You are going to do what you want regardless of our answers. This is all the time I am going to spend trying to convince you that you should stay up to date and install security patches. If you don't, so be it. If you system gets hacked by a virus or gets hit with ransomware, just remember what I said...

    omv 7.1.1-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.1.1-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Thank you very much. I understand everything better now. I appreciate your time and your dedication to users of this fantastic product you and others have worked many years to develop.

    My questions are sincere, and possibly others have the same questions. Now, i have to figure out the best way to keep up with your new versions and I am going to hopefully complete this without losing data.

    Honestly, I am reluctant to upgrade simply because I fear losing data in the process.

    • Official Post

    Upgrading from v4 to v6 means following the path v4->v5 and then v5->v6

    It is a long and possibly complicated route. It would be much easier to do a fresh install of OMV6 and reconfigure. Just unplug your data drives and when you have installed OMV mount the drives again. Only mount filesystems, NOT create filesystems. You don't have to lose any data except what's on the system drive if there is anything now besides OMV.

    omv6:new_user_guide [omv-extras.org]

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!